---
title: List Available Rate Plans
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zones](https://developers.cloudflare.com/api/python/resources/zones)

[Rate Plans](https://developers.cloudflare.com/api/python/resources/zones/subresources/rate_plans)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Available Rate Plans

zones.rate\_plans.get(RatePlanGetParams\*\*kwargs) -> SyncSinglePage\[[RatePlanGetResponse](<https://developers.cloudflare.com/api/python/resources/zones#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)>)]

GET/zones/{zone\_id}/available\_rate\_plans

Lists all rate plans the zone can subscribe to.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Billing Write``Billing Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20zones.rate_plans%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class RatePlanGetResponse: …

</summary>

id: Optional\[str]

Plan identifier tag.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

components: Optional\[List\[Component]]

Array of available components values for the plan.

</summary>

default: Optional\[float]

The default amount allocated.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20default">Link to this property</a>

<details>

<summary>

name: Optional\[Literal\["zones", "page\_rules", "dedicated\_certificates", "dedicated\_certificates\_custom"]]

The unique component.

</summary>

One of the following:

"zones"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%200">Link to this property</a>

"page\_rules"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%201">Link to this property</a>

"dedicated\_certificates"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%202">Link to this property</a>

"dedicated\_certificates\_custom"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

unit\_price: Optional\[float]

The unit price of the component.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components%20%3E%20(items)%20%3E%20(property)%20unit_price">Link to this property</a>

</details>

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20components">Link to this property</a>

currency: Optional\[str]

The monetary unit in which pricing information is displayed.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20currency">Link to this property</a>

duration: Optional\[float]

The duration of the plan subscription.

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20duration">Link to this property</a>

<details>

<summary>

frequency: Optional\[Literal\["weekly", "monthly", "quarterly", "yearly"]]

The frequency at which you will be billed for this plan.

</summary>

One of the following:

"weekly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%200">Link to this property</a>

"monthly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%201">Link to this property</a>

"quarterly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%202">Link to this property</a>

"yearly"

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency">Link to this property</a>

name: Optional\[str]

The plan name.

maxLength80

<a href="#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.rate_plans%20%3E%20(model)%20rate_plan_get_response%20%3E%20(schema)>)

### List Available Rate Plans

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zones.rate_plans.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "free",
      "components": [
        {
          "default": 5,
          "name": "page_rules",
          "unit_price": 1
        }
      ],
      "currency": "USD",
      "duration": 1,
      "frequency": "monthly",
      "name": "Free Plan"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "free",
      "components": [
        {
          "default": 5,
          "name": "page_rules",
          "unit_price": 1
        }
      ],
      "currency": "USD",
      "duration": 1,
      "frequency": "monthly",
      "name": "Free Plan"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```